# Changelog

All notable changes to the SpecStory extension are documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.4.2] - 2025-01-22

Defects

· Fix issue with not seeing the correct Composers and Chats when opening the workspace from a workspace file rather than from a directory. Thanks to Geoff R. for reporting the issue in our Slack community, and for joining us on a call all the way from Australia 🇦🇺 to help us better understand the issue.


## [0.4.1] - 2025-01-20

· Improved layout and styling for shares on the web.

Defects

· Fix broken auto-save when workspace is remote on WSL, SSH, or Dev Container, [issues/19](https://github.com/specstoryai/getspecstory/issues/19) and [issues/23](https://github.com/specstoryai/getspecstory/issues/23).

## [0.4.0] - 2025-01-16

· Improved layout and styling for shares on the web.

· Action to make it easy to copy the user prompt from shares on the web, in case the reader wants to try out the prompt.

· The SpecStory cursor extension now has a UI that includes:

    · Save and share functionality

    · Access the extension settings

    · Real-time auto-save status

    · Extension version display, with link to this change log

Defects

· The 25MB limit on shares has now been removed, though very large shares are likely to time-out during rendering. We're working on this.

## [0.3.3] - 2025-01-15

Defects

· Fix reintroduced defect with broken composer and chat history loading issue that occurred when the _current workspace_ path has been re-used by a different workspace. For example, if you deleted a workspace and then created a new one with the same name, the new workspace might not have loaded the composer and chat history from the newest workspace.

## [0.3.2] - 2025-01-14

· Improve styling and usability of SpecStory Share web application.

· Display file path and name, when present, in the SpecStory Share web application.

· Fix the display of ordered and unordered lists in the SpecStory Share web application.

· Database optimization to improve performance and reduce memory usage when saving, sharing, or auto saving.

Defects

· Fix rendering of fenced code blocks in the SpecStory Share web application to make sure they're properly formatted and styled.

· The composer name is used as the filename for auto-saved markdown files. If the name contains unicode special characters, it was causing an error. Now those are handled properly.

## [0.3.1] - 2025-01-12

Defects

· The composer name is used as the filename for auto-saved markdown files. If the name is too long for a filename it was causing an error. Now it's truncated in the middle.

## [0.3.0] - 2025-01-10

· SpecStory now auto-saves your chat and composer history to `.specstory`. Auto-save works on a markdown file per chat/composer basis.

· New setting, `specstory.autoSave.enabled`, to turn off auto-save, for folks that prefer only manual save from the command palette.

· Remove the extra markdown preview window after saving, this proved to be confusing.

· After sharing to `share.specstory.com`, you get a cookie that identifies you as the sharer, and enables
you to edit the share:

    · The sharer can add a description with markdown and image support.

    · The sharer can delete individual chats and composers from the share.

Defects

· Fix broken composer and chat history loading issue that occurred when the _current workspace_ path has been re-used by a different workspace. For example, if you deleted a workspace and then created a new one with the same name, the new workspace might not have loaded the composer and chat history from the newest workspace.

· Fix [issues/11](https://github.com/specstoryai/getspecstory/issues/11), "Failed to read composer data from global storage: Error: database disk image is malformed". This happened when reading the Cursor SQLite database file while Cursor was writing to it. The extension now retries loading the database with a delay of 500ms between each attempt.

## [0.2.7] - 2025-01-07

Defects

· Fixes an issue when parsing Cursor JSON data during markdown rendering, [issues/14](https://github.com/specstoryai/getspecstory/issues/14).

## [0.2.6] - 2025-01-03

Defects

· Fix missing AI interactions when using Cursor Composer in Agent mode. This is just basic support for now. We'll be improving this to show code diffs, terminal output, linting results, and more. The goal is to better match how the Agent mode AI interactions are displayed in Cursor.

## [0.2.5] - 2025-01-02

· Added debug logging to the extension which can be enabled via `SpecStory: Show Developer Tools`. This goes to the "SpecStory" Output Channel in Cursor.

Defects

· Fix broken workspace loading issue that occurred when the _current workspace_ has a non-traditional path, such as a devcontainer, WSL, or a remote workspace, [issues/4](https://github.com/specstoryai/getspecstory/issues/4).

## [0.2.4] - 2024-12-31

· New setting, `specstory.helpUsImprove`, to allow folks to opt out of product analytics

· Added emojis to the `SpecStory: 📝 Save Composer and Chat History` and `SpecStory: ☁️ Share Composer and Chat History` commands

Defects

· Fix broken workspace loading issue that occurred when _any workspace_ had a non-traditional path, such as a devcontainer, [issues/4](https://github.com/specstoryai/getspecstory/issues/4). Thanks, Nick! 🕺🏻

## [0.2.3] - 2024-12-18

Chat / Composer Selection

· Select the specific composers or chats you want to save to a local markdown file.

· Select the specific composers or chats you want to share to share.specstory.com.

Defects

· Document that installing directly from the VSC Marketplace installs the extension into VSC, not into Cursor, [issues/8](https://github.com/specstoryai/getspecstory/issues/8)

· Fix broken workspace loading on Windows, [issues/4](https://github.com/specstoryai/getspecstory/issues/4)

## [0.1.2] - 2024-12-16

Update some documentation links.

## [0.1.1] - 2024-12-16

Clarify that SpecStory is an extension for the [Cursor](https://www.cursor.com/) fork of Visual Studio Code.

## [0.1.0] - 2024-12-14

### Initial Release

Cursor Extension

· Save composer and chat history log to a local markdown file

· Share composer and chat history log to the share.specstory.com web application

· Settings: Manage via VS Code Settings → User → Extensions → SpecStory

· Settings: Debug mode to browse Cursor Chat DB (opens VS Code State in your Primary Sidebar’s Tree View)

The share.specstory.com web application

· Get a unique URL to share

· Web rendered and formatted version of the composer and chat history

· Expand and collapse the composer and chat history

· Copy the composer and chat history log from the web to your clipboard in Markdown

## [Unreleased]

> “A story has no beginning or end: arbitrarily one chooses that moment of experience from which to look back or from which to look ahead.”
> Graham Greene, The End of the Affair
