# What is SpecStory (Cursor Extension)?

[SpecStory](https://specstory.com) is an extension for [Cursor](https://cursor.com) that enhances your [software composer](https://tolacapital.com/2024/11/13/the-rise-of-the-software-composer-a-new-era-of-software-creation) workflow. We help you capture, search and learn from every AI coding journey.

[![Install button](https://share.specstory.com/extension/install-button.png)](https://docs.specstory.com/introduction)

### ❗️Important Notes

_**Note 1:** This extension only works with the [Cursor](https://www.cursor.com/) fork of Visual Studio Code and installing it directly from VSC Marketplace will install it into VSC, and not into Cursor._

Instead, to install SpecStory into Cursor, click the orange "Install Cursor Extension" button above for a walkthrough from our [documentation site](https://docs.specstory.com/introduction). You will:
- First, download the VSIX directly ([specstory-vscode-latest.vsix](https://static.specstory.com/vscode-extension/releases/specstory-vscode-latest.vsix))
- Next, open the Command Palette (CMD/Ctrl-Shift-P) and choose `Extensions: Install from VSIX…`
- Select the VSIX file that you downloaded above
- Verify that "SpecStory (Cursor Extension)" appears in Extensions sidebar

_**Note 2:** Cursor changed the internal storage of Chats and Composers in Cursor version 0.43.5. Chats and Composers created with version 0.43.5 and earlier cannot be saved or shared with this extension._

## ✨ What SpecStory does

### 🪄 Your work saves itself, no cloud required!

When you install SpecStory it begins its work in the background, tucking away your composer and chat history for your active project in `./specstory/history`. 

Want to wave your wand differently? You can toggle this on and off in our settings.

![Autosave_your_history](https://share.specstory.com/extension/autosave_your_history.gif)

### 🎯 Cherry pick your save worthy moments

For the delightfully meticulous among us, summon the command palette (CMD/Ctrl-Shift-P) and cast `SpecStory: Save Composer and Chat History` to preserve exactly which chat and composer histories you want.

![Never lose your composer and chat history](https://share.specstory.com/extension/never_lose_your_composer_history_2.gif)

### 🌟 Share your brilliant work

Ready to razzle-dazzle with your creative AI assisted genius? Open the command palette (CMD/Ctrl-Shift-P), invoke `SpecStory: Share Composer and Chat History`, and let the world see your sparkle!

![Share your composer and chat history](https://share.specstory.com/extension/share_your_history_2.gif)

## 🎮 Your very own control panel

Behold the SpecStory control panel! Here you can save and share histories, tweak settings, and keep an eye on your auto-save status. Find it in the left sidebar, or summon it with `View: Open View > SpecStory` from the command palette.

![SpecStory Control Panel](https://share.specstory.com/extension/specstory-control-panel.png)

## 🛠️ For Developers

Enable `specstory.showDeveloperTools` in your VS Code settings to unlock:

1. Debug logging in the SpecStory output channel
2. A shiny new Cursor sqlite DB explorer in your Primary Sidebar's Tree View which you can use to:

- 🕵️‍♂️ **Search Like a Pro**: 
    - Access via `Command Palette: SpecStory (Developer Tools): Search Cursor State`
    - Or click the magnifying glass icon in the VS Code State view

- 🔄 **Refresh your state's reality**:
    - Command Palette incantation: `SpecStory (Developer Tools): Refresh VS Code State`
    - Or hit the refresh button for instant state rejuvenation

- 📋 **Copy Magic**:
    - Hover over any value in the state explorer
    - Click the copy icon that appears
    - Values are copied in a format suitable for pasting elsewhere

## 📚 Documentation & Community

- Find our docs chock full of use cases and a getting started guide to master your craft @ [docs.specstory.com](https://docs.specstory.com).

- Join our [slack community](https://join.slack.com/t/specstory/shared_invite/zt-2vq0274ck-MYS39rgOpDSmgfE1IeK9gg) to connect with other software composers!


## 🔮 Issue Reporting and Feature Requests

- Found a bug? Have a feature request? Please log it on our [issues page on GitHub](https://github.com/specstoryai/getspecstory/issues). 

- For any other issue please email us at [support@specstory.com](mailto:support@specstory.com).

## 🔒 Privacy

SpecStory collects pseudo-anonymous usage data to help improve the product. This can be disabled in the extension by unchecking `SpecStory: Help Us Improve` in your SpecStory extension settings.

This setting does not affect web analytics. For more information about what data we collect and how we use it, please see our [privacy policy](https://specstory.com/privacy).
